Notes for Upgrading to vSphere/vCenter 4.1

Here are some items to consider when upgrading to vSphere/vCenter 4.1:

  1. vCenter 4.1 requires a 64-bit OS.
  2. Windows 2008 R2 is now officially supported with vSphere 4.1.
  3. When asked what account to use for the service, the local system option was greyed out.  I had to enter my current credentials, then go back after the installation completed and change the service account to local system.
  4. The Update Manager can upgrade VM hosts.  I had to get the hosts up to version 4.0 before it would work, though.

vSphere VMware vCenter